Package org.apache.sling.dynamicinclude

## Class ConfigurationWhiteboard

- java.lang.Object
- - org.apache.sling.dynamicinclude.ConfigurationWhiteboard

    public class ConfigurationWhiteboard
    extends java.lang.Object

### Constructor Summary

Constructors
`ConfigurationWhiteboard()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Configuration` `getConfiguration​(org.apache.sling.api.SlingHttpServletRequest request, java.lang.String resourceType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationWhiteboard

    public ConfigurationWhiteboard()

### Method Detail

#### getConfiguration

    public Configuration getConfiguration​(org.apache.sling.api.SlingHttpServletRequest request,
                                          java.lang.String resourceType)